package controller

import (
	"github.com/gin-gonic/gin"
	"trading-go/model"
	"trading-go/response"
)

// History
// @Tags 信息模块
// @Summary 传入用户id获取用户消息记录
// @Produce application/json
// @Param uid query int64 true "用户id"
// @Success 200 {object} response.Response
// @Router /message [get]
func History(c *gin.Context) {
	var messages []model.Message
	messages = append(messages, model.Message{})
	messages = append(messages, model.Message{})
	response.Success(c.Writer, "success", messages)
}

// ConversationHistory
// @Tags 信息模块
// @Summary 传入用户id和聊天对象id获取消息记录
// @Produce application/json
// @Param uid query int64 true "用户id"
// @Param targetId query int64 true "对象id"
// @Success 200 {object} response.Response
// @Router /message/conv [get]
func ConversationHistory(c *gin.Context) {
	var messages []model.Message
	messages = append(messages, model.Message{})
	messages = append(messages, model.Message{})
	response.Success(c.Writer, "success", messages)
}
